Syntax update to support different versions of Node
authorJason Reeder <jreeder@ti.com>
Fri, 16 Dec 2016 19:20:16 +0000 (13:20 -0600)
committerJason Reeder <jreeder@ti.com>
Fri, 16 Dec 2016 19:20:16 +0000 (13:20 -0600)
commit7a00d889b47dde4da837a57700f3a27807058e86
tree9f28a3ee12005064123db84d0e9b2bafcda03031
parent1751f826b51087793e000417944a6840f985f7b4
Syntax update to support different versions of Node

Some of the community distributions of Linux on the
BeagleBone Black include an older version of Node than the
Linux Processor SDK. It was found that the original syntax
for the AWS Thing Shadow update used in this package did
not work with the older version of Node.

This commit changes the syntax so that the demo will run on
both the TI Linux Processor SDK version of Node as well as
the BeagleBoard community version of Node.

Signed-off-by: Jason Reeder <jreeder@ti.com>
example/iot-gateway/cloudAdapter/awsCloudAdapter.js
prebuilt/iot-gateway/cloudAdapter/awsCloudAdapter.js